Search
Question: RGalaxy not working with R 2.14.1?
0
gravatar for Samuel Lampa
4.6 years ago by
Samuel Lampa10
Samuel Lampa10 wrote:
Hi, I'm trying to install RGalaxy [1] on my Ubuntu 12.04 box, as well as my Linux Mint box (Linux Mint is an ubuntu clone), but I get problems. According to the messages, RGalaxy does not work with R 2.14.1. Is this correct, or something that could be overridden? (See my command log below) Best Regards // Samuel $ sudo R > source('http://bioconductor.org/biocLite.R') BiocInstaller version 1.2.1, ?biocLite for help > biocLite('RGalaxy') BioC_mirror: 'http://www.bioconductor.org' Using R version 2.14, BiocInstaller version 1.2.1. Installing package(s) 'RGalaxy' Installing package(s) into ?/home/samuel/R/x86_64-pc-linux-gnu- library/2.14? (as ?lib? is unspecified) Warning message: In getDependencies(pkgs, dependencies, available, lib) : package ?RGalaxy? is not available (for R version 2.14.1) > library("RGalaxy") Error in library("RGalaxy") : there is no package called ?RGalaxy? > [1] http://www.bioconductor.org/packages/2.12/bioc/html/RGalaxy.html -- Developer at SNIC-UPPMAX www.uppmax.uu.se Developer at Dept of Pharm Biosciences www.farmbio.uu.se Twitter - twitter.com/samuellampa Blog - saml.rilspace.org G+ - gplus.to/saml
ADD COMMENTlink modified 4.6 years ago by Dan Tenenbaum ♦♦ 8.1k • written 4.6 years ago by Samuel Lampa10
0
gravatar for Dan Tenenbaum
4.6 years ago by
Dan Tenenbaum ♦♦ 8.1k
United States
Dan Tenenbaum ♦♦ 8.1k wrote:
On Thu, Nov 15, 2012 at 8:44 AM, Samuel Lampa <samuel.lampa at="" it.uu.se=""> wrote: > Hi, > > I'm trying to install RGalaxy [1] on my Ubuntu 12.04 box, as well as my > Linux Mint box (Linux Mint is an ubuntu clone), but I get problems. > According to the messages, RGalaxy does not work with R 2.14.1. Is this > correct, or something that could be overridden? > The "since" field on the package home page (http://bioconductor.org/packages/release/bioc/html/RGalaxy.html) tells us that RGalaxy has been available since: Bioconductor 2.11 (R-2.15). So you need R-2.15 or R-devel in order to use it. Note that the API has changed significantly in the devel version. Dan > (See my command log below) > > Best Regards > // Samuel > > $ sudo R > >> source('http://bioconductor.org/biocLite.R') > BiocInstaller version 1.2.1, ?biocLite for help >> biocLite('RGalaxy') > BioC_mirror: 'http://www.bioconductor.org' > Using R version 2.14, BiocInstaller version 1.2.1. > Installing package(s) 'RGalaxy' > Installing package(s) into ?/home/samuel/R/x86_64-pc-linux-gnu- library/2.14? > (as ?lib? is unspecified) > Warning message: > In getDependencies(pkgs, dependencies, available, lib) : > package ?RGalaxy? is not available (for R version 2.14.1) >> library("RGalaxy") > Error in library("RGalaxy") : there is no package called ?RGalaxy? >> > > [1] http://www.bioconductor.org/packages/2.12/bioc/html/RGalaxy.html > > -- > Developer at SNIC-UPPMAX www.uppmax.uu.se > Developer at Dept of Pharm Biosciences www.farmbio.uu.se > Twitter - twitter.com/samuellampa > Blog - saml.rilspace.org > G+ - gplus.to/saml > > _______________________________________________ > Bioconductor mailing list > Bioconductor at r-project.org > https://stat.ethz.ch/mailman/listinfo/bioconductor > Search the archives: > http://news.gmane.org/gmane.science.biology.informatics.conductor
ADD COMMENTlink written 4.6 years ago by Dan Tenenbaum ♦♦ 8.1k
Please log in to add an answer.

Help
Access

Use of this site constitutes acceptance of our User Agreement and Privacy Policy.
Powered by Biostar version 2.2.0
Traffic: 364 users visited in the last hour